package cn.efunbox.audio.repository;

import cn.efunbox.audio.entity.Channel;
import cn.efunbox.audio.entity.Trail;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by yao on 17-9-26.
 */
@Repository
public interface TrailRepo extends JpaRepository<Trail, Long> {

    public List<Trail> findById(Long id);
    public Page<Trail> findAll(Pageable pageable);
    public Page<Trail> findByIdAdmin(Long idAdmin, Pageable pageable);
    public Page<Trail> findByTarget(String target, Pageable pageable);
    public Page<Trail> findByIdTarget(Long idTarget, Pageable pageable);
    public Page<Trail> findByTargetAndIdTarget(String target, Long idTarget, Pageable pageable);

}
